/*
Dataddo Headless BETA API

Dataddo Headless BETA API

API version: 1.0.0-beta.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package customer_api

import (
	"encoding/json"
)

// checks if the AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner{}

// AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner struct for AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner
type AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner struct {
	Title *string `json:"title,omitempty"`
	Value *string `json:"value,omitempty"`
}

// NewAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner instantiates a new AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner() *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner {
	this := AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner{}
	return &this
}

// NewAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInnerWithDefaults instantiates a new AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInnerWithDefaults() *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner {
	this := AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner{}
	return &this
}

// GetTitle returns the Title field value if set, zero value otherwise.
func (o *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) GetTitle() string {
	if o == nil || IsNil(o.Title) {
		var ret string
		return ret
	}
	return *o.Title
}

// GetTitleOk returns a tuple with the Title field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) GetTitleOk() (*string, bool) {
	if o == nil || IsNil(o.Title) {
		return nil, false
	}
	return o.Title, true
}

// HasTitle returns a boolean if a field has been set.
func (o *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) HasTitle() bool {
	if o != nil && !IsNil(o.Title) {
		return true
	}

	return false
}

// SetTitle gets a reference to the given string and assigns it to the Title field.
func (o *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) SetTitle(v string) {
	o.Title = &v
}

// GetValue returns the Value field value if set, zero value otherwise.
func (o *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) GetValue() string {
	if o == nil || IsNil(o.Value) {
		var ret string
		return ret
	}
	return *o.Value
}

// GetValueOk returns a tuple with the Value field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) GetValueOk() (*string, bool) {
	if o == nil || IsNil(o.Value) {
		return nil, false
	}
	return o.Value, true
}

// HasValue returns a boolean if a field has been set.
func (o *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) HasValue() bool {
	if o != nil && !IsNil(o.Value) {
		return true
	}

	return false
}

// SetValue gets a reference to the given string and assigns it to the Value field.
func (o *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) SetValue(v string) {
	o.Value = &v
}

func (o AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) MarshalJSON() ([]byte, error) {
	toSerialize, err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Title) {
		toSerialize["title"] = o.Title
	}
	if !IsNil(o.Value) {
		toSerialize["value"] = o.Value
	}
	return toSerialize, nil
}

type NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner struct {
	value *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner
	isSet bool
}

func (v NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) Get() *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner {
	return v.value
}

func (v *NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) Set(val *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) {
	v.value = val
	v.isSet = true
}

func (v NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) IsSet() bool {
	return v.isSet
}

func (v *NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner(val *AppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) *NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner {
	return &NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner{value: val, isSet: true}
}

func (v NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableAppConnectorRedshiftRedshiftConnectorActionListTables200ResponseInner) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
